///home/berryj/link/bin/genMethods "-g" "-t" "Set<int>" "-h" "Container" "-I" "LINK/basic/Set.h" "-I" "LINK/basic/Container.h" "-d" "basic" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/basic/Set.h>

#include <LINK/basic/Container.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>


typedef Set<int> _Set_int_;
typedef Container<Set<int> > _Container_Set_int__;

#define _Container_Set_int__DATA(x) ((Container<Set<int> >*) (EXTDATA(x)))
#define _Container_Set_int__IS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Container<Set<int> > >::type))
#define _Container_Set_int__ISNT_DATA(x) (!_Container_Set_int__IS_DATA(x))

#define _Container_Set_int__CXX_DATA(x) (*(Container<Set<int> >*) (EXTDATA(VAL(x))))
#define _Container_Set_int__CXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Container<Set<int> > >::type))
#define _Container_Set_int__CXX_ISNT_DATA(x) (!_Container_Set_int__CXX_IS_DATA(x))


PRIMITIVE STk_init__Container_Set_int__()
{
	Wrapper<_Container_Set_int__>::type = STk_new_CXXwrapper_id(
			Wrapper<_Container_Set_int__>::name, 
			"",
			(void (*)(SCM x, SCM port, int mode))0,
			(void (*)(SCM x))0,
			(void (*)(SCM x))0);
	Tcl_InitHashTable(&Register<_Container_Set_int__>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra_Container_Set_int__Methods(void);

PRIMITIVE STk_init_methods__Container_Set_int__()
{
	genExtra_Container_Set_int__Methods();
	return UNDEFINED;
}
